%global scl_name_prefix rh-
%global scl_name_base dotnetcore
%global scl_name_version 10
%global scl %{scl_name_prefix}%{scl_name_base}%{scl_name_version}

%scl_package %scl

%global install_scl 1

# do not produce empty debuginfo package
%global debug_package %{nil}

Summary: Package that installs %scl
Name: %scl_name
Version: 1.0
Release: 4%{?dist}
License: MIT

BuildRequires: scl-utils-build
BuildRequires: python

%if 0%{?install_scl}
Requires: %{scl_prefix}dotnetcore
%endif

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%build
# nothing to do

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
export PYTHONPATH=%{_scl_root}%{python_sitelib}\${PYTHONPATH:+:\${PYTHONPATH}}
# dotnet reports metrics to some remote server by default. disable that.
export DOTNET_CLI_TELEMETRY_OPTOUT=true
EOF

# scl doesn't include this directory
mkdir -p %{buildroot}%{_scl_root}%{python_sitelib}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
mkdir -p %{buildroot}%{_scl_root}/usr/lib/python2.7

%files

%files runtime -f filelist
%scl_files
%dir %{_scl_root}%{python_sitelib}
%dir %{_scl_root}/usr/lib/python2.7

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Wed Jun 15 2016 Severin Gehwolf <sgehwolf@redhat.com> 1.0-4
- Add BR python for proper python_sitelib expansion.

* Mon Jun 13 2016 Severin Gehwolf <sgehwolf@redhat.com> 1.0-3
- Enable SCL-ized python libs.

* Thu Apr 28 2016 Omair Majid <omajid@redhat.com> 1.0-2
- Disable telemetry reporting

* Mon Apr 18 2016 Omair Majid <omajid@redhat.com> 1.0-1
- Package name change

* Fri Mar 11 2016 Omair Majid <omajid@redhat.com> 1.0-1
- Initial package
